Loading...
Searching...
No Matches
casacore::MeasuresProxy Class Reference

`#include <MeasuresProxy.h>`

## Public Member Functions

| MeasuresProxy ()
virtual | ~MeasuresProxy ()
Record | measure (const Record &rec, const String &str, const Record &form)
Bool | doframe (const Record &rec)
String | dirshow (const Record &rec)
Record | doptorv (const Record &rec, const String &str)
Record | doptofreq (const Record &rec, const String &str, const Quantity &form)
Record | todop (const Record &rec, const Quantity &form)
Record | torest (const Record &rec, const Record &form)
Vector< String > | obslist ()
Vector< String > | srclist ()
Vector< String > | linelist ()
Record | observatory (const String &str)
Record | source (const String &str)
Record | line (const String &str)
Record | alltyp (const Record &rec)
Quantum< Vector< Double > > | posangle (const Record &lrec, const Record &rrec)
Quantum< Vector< Double > > | separation (const Record &lrec, const Record &rrec)
Record | uvw (const Record &mhrec)
Record | expand (const Record &mhrec)

## Private Member Functions

String | vec2str (const Vector< String > &lst)
Bool | doFrame (const MeasureHolder &in)
Bool | doFrame (const String &in)
Bool | makeMeasure (String &error, MeasureHolder &out, const MeasureHolder &in, const String &outref, const Record &off)
Bool | toUvw (String &error, MeasureHolder &out, Vector< Double > &xyz, Vector< Double > &dot, const MeasureHolder &in)
Bool | expandIt (String &error, MeasureHolder &out, Vector< Double > &xyz, const MeasureHolder &in)
MeasureHolder | rec2mh (const Record &rec)
Record | mh2rec (const MeasureHolder &mh)

## Static Private Member Functions

static String | getMeasureType (const Record &in)

## Private Attributes

MeasFrame | frame_p
| The globally used MeasFrame for this DO.
MeasComet * | pcomet_p
| The current comet class.

## Detailed Description

Definition at line 45 of file MeasuresProxy.h.

## Constructor & Destructor Documentation

## MeasuresProxy()

casacore::MeasuresProxy::MeasuresProxy | ( |  | ) |

## ~MeasuresProxy()

virtual casacore::MeasuresProxy::~MeasuresProxy | ( |  | ) |

virtual

## Member Function Documentation

## alltyp()

Record casacore::MeasuresProxy::alltyp | ( | const Record & | rec | ) |

References casacore::Record().

## dirshow()

String casacore::MeasuresProxy::dirshow | ( | const Record & | rec | ) |

References casacore::Record().

## doFrame() [1/2]

Bool casacore::MeasuresProxy::doFrame | ( | const MeasureHolder & | in | ) |

private

## doFrame() [2/2]

Bool casacore::MeasuresProxy::doFrame | ( | const String & | in | ) |

private

## doframe()

Bool casacore::MeasuresProxy::doframe | ( | const Record & | rec | ) |

References casacore::Record().

## doptofreq()

Record casacore::MeasuresProxy::doptofreq | ( | const Record & | rec,
|  | const String & | str,
|  | const Quantity & | form )

References casacore::Record().

## doptorv()

Record casacore::MeasuresProxy::doptorv | ( | const Record & | rec,
|  | const String & | str )

References casacore::Record().

## expand()

Record casacore::MeasuresProxy::expand | ( | const Record & | mhrec | ) |

References casacore::Record().

## expandIt()

Bool casacore::MeasuresProxy::expandIt | ( | String & | error,
|  | MeasureHolder & | out,
|  | Vector< Double > & | xyz,
|  | const MeasureHolder & | in )

private

## getMeasureType()

String casacore::MeasuresProxy::getMeasureType | ( | const Record & | in | ) |

static private

References casacore::Record().

## line()

Record casacore::MeasuresProxy::line | ( | const String & | str | ) |

References casacore::Record().

## linelist()

Vector< String > casacore::MeasuresProxy::linelist | ( |  | ) |

## makeMeasure()

Bool casacore::MeasuresProxy::makeMeasure | ( | String & | error,
|  | MeasureHolder & | out,
|  | const MeasureHolder & | in,
|  | const String & | outref,
|  | const Record & | off )

private

References casacore::Record().

## measure()

Record casacore::MeasuresProxy::measure | ( | const Record & | rec,
|  | const String & | str,
|  | const Record & | form )

References casacore::Record().

## mh2rec()

Record casacore::MeasuresProxy::mh2rec | ( | const MeasureHolder & | mh | ) |

private

References casacore::Record().

## observatory()

Record casacore::MeasuresProxy::observatory | ( | const String & | str | ) |

References casacore::Record().

## obslist()

Vector< String > casacore::MeasuresProxy::obslist | ( |  | ) |

## posangle()

Quantum< Vector< Double > > casacore::MeasuresProxy::posangle | ( | const Record & | lrec,
|  | const Record & | rrec )

References casacore::Record().

## rec2mh()

MeasureHolder casacore::MeasuresProxy::rec2mh | ( | const Record & | rec | ) |

private

References casacore::Record().

## separation()

Quantum< Vector< Double > > casacore::MeasuresProxy::separation | ( | const Record & | lrec,
|  | const Record & | rrec )

References casacore::Record().

## source()

Record casacore::MeasuresProxy::source | ( | const String & | str | ) |

References casacore::Record().

## srclist()

Vector< String > casacore::MeasuresProxy::srclist | ( |  | ) |

## todop()

Record casacore::MeasuresProxy::todop | ( | const Record & | rec,
|  | const Quantity & | form )

References casacore::Record().

## torest()

Record casacore::MeasuresProxy::torest | ( | const Record & | rec,
|  | const Record & | form )

References casacore::Record().

## toUvw()

Bool casacore::MeasuresProxy::toUvw | ( | String & | error,
|  | MeasureHolder & | out,
|  | Vector< Double > & | xyz,
|  | Vector< Double > & | dot,
|  | const MeasureHolder & | in )

private

## uvw()

Record casacore::MeasuresProxy::uvw | ( | const Record & | mhrec | ) |

References casacore::Record().

## vec2str()

String casacore::MeasuresProxy::vec2str | ( | const Vector< String > & | lst | ) |

private

## Member Data Documentation

## frame_p

MeasFrame casacore::MeasuresProxy::frame_p

private

The globally used MeasFrame for this DO.

Definition at line 90 of file MeasuresProxy.h.

## pcomet_p

MeasComet* casacore::MeasuresProxy::pcomet_p

private

The current comet class.

Definition at line 92 of file MeasuresProxy.h.

The documentation for this class was generated from the following file:

- measures/Measures/MeasuresProxy.h